Bug 18741 - Web installer does not load default data
Summary: Web installer does not load default data
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 18803 (view as bug list)
Depends on: 18632
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 09:10 UTC by Julian Maurice
Modified: 2017-09-10 09:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18741: Fix loading of SQL files in web installer (1.13 KB, patch)
2017-06-07 09:30 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18741: Fix loading of SQL files in web installer (1.18 KB, patch)
2017-06-09 15:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18741: Fix loading of SQL files in web installer (1.26 KB, patch)
2017-06-09 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
[16.11.x] Bug 18741: Fix loading of SQL files in web installer (1.39 KB, patch)
2017-09-05 07:45 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2017-06-07 09:10:23 UTC
Hi,

I tried a basic install on 17.05.00 and there is a problem when loading default data. Whatever I select in the "Selecting default settings" screen, on the next page I always get the same result:

Mandatory data added

    auth_val_cat.sql
    subtag_registry.sql
    authorities_normal_marc21.sql
    refund_lost_item_fee_rules.sql

Mysql data added

    sysprefs.sql
    userflags.sql
    userpermissions.sql
    audio_alerts.sql

You can see that some mandatory stuff is missing (like message_transport_types for instance). Note that this is not a display issue, the database tables are indeed empty.

Steps to reproduce:
1. Start a normal install using the web installer
2. When asked to select data to load, check that 'message_transport_types' is checked
3. Continue the install to the end
4. Note that message_transport_types is empty

I reproduce it on master too.
Comment 1 Julian Maurice 2017-06-07 09:26:17 UTC
It seems to be caused by bug 18632. I'm preparing a patch
Comment 2 Julian Maurice 2017-06-07 09:30:48 UTC
Created attachment 64074 [details] [review]
Bug 18741: Fix loading of SQL files in web installer

Test plan:
1. Start a normal install using the web installer
2. When asked to select data to load, verify that
   'message_transport_types' is checked, and check some optional data
   files
3. Continue the install to the end
4. Verify that message_transport_types is not empty, and that the
   optional data you checked is there
Comment 3 Nick Clemens 2017-06-09 15:20:22 UTC
Created attachment 64150 [details] [review]
Bug 18741: Fix loading of SQL files in web installer

Test plan:
1. Start a normal install using the web installer
2. When asked to select data to load, verify that
   'message_transport_types' is checked, and check some optional data
   files
3. Continue the install to the end
4. Verify that message_transport_types is not empty, and that the
   optional data you checked is there

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-06-09 15:44:25 UTC
Created attachment 64157 [details] [review]
Bug 18741: Fix loading of SQL files in web installer

Test plan:
1. Start a normal install using the web installer
2. When asked to select data to load, verify that
   'message_transport_types' is checked, and check some optional data
   files
3. Continue the install to the end
4. Verify that message_transport_types is not empty, and that the
   optional data you checked is there

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-06-09 15:48:24 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-13 06:33:56 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 7 Katrin Fischer 2017-06-13 20:38:11 UTC
Dependency is not in 16.11.x - so this is probably not be needed there. Also: doesn't apply.
Comment 8 Indranil Das Gupta 2017-06-14 18:37:40 UTC
*** Bug 18803 has been marked as a duplicate of this bug. ***
Comment 9 Julian Maurice 2017-09-05 07:36:55 UTC
(In reply to Katrin Fischer from comment #7)
> Dependency is not in 16.11.x - so this is probably not be needed there.
> Also: doesn't apply.

Since this comment, bug 18632 was pushed in 16.11.x and 16.05.x, so the fix is now needed in these versions too.
Comment 10 Julian Maurice 2017-09-05 07:45:12 UTC
Created attachment 66835 [details] [review]
[16.11.x] Bug 18741: Fix loading of SQL files in web installer

Test plan:
1. Start a normal install using the web installer
2. When asked to select data to load, verify that
   'message_transport_types' is checked, and check some optional data
   files
3. Continue the install to the end
4. Verify that message_transport_types is not empty, and that the
   optional data you checked is there

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Katrin Fischer 2017-09-10 09:17:56 UTC
Hi Julian, thx for the 16.11.x patch!

This patch has been pushed to 16.11.x and will be in 16.11.12.